aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.local/bin/vifm_launch
diff options
context:
space:
mode:
Diffstat (limited to 'dotfiles/.local/bin/vifm_launch')
-rwxr-xr-xdotfiles/.local/bin/vifm_launch15
1 files changed, 15 insertions, 0 deletions
diff --git a/dotfiles/.local/bin/vifm_launch b/dotfiles/.local/bin/vifm_launch
new file mode 100755
index 0000000..07b6473
--- /dev/null
+++ b/dotfiles/.local/bin/vifm_launch
@@ -0,0 +1,15 @@
+#!/bin/sh
+export FIFO_UEBERZUG="/tmp/vifm-ueberzug-${PPID}"
+
+function cleanup {
+ rm "$FIFO_UEBERZUG" 2>/dev/null
+ pkill -P $$ 2>/dev/null
+}
+
+rm "$FIFO_UEBERZUG" 2>/dev/null
+mkfifo "$FIFO_UEBERZUG"
+trap cleanup EXIT
+tail --follow "$FIFO_UEBERZUG" | ueberzug layer --silent --parser bash &
+
+vifm
+cleanup